/*
 * Copyright (c) 2009  Cologne Intelligence GmbH
 * This file is part of FitGoodies.
 *
 * FitGoodies is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FitGoodies is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FitGoodies.  If not, see <http://www.gnu.org/licenses/>.
 */


package de.cologneintelligence.fitgoodies.runners;

import java.io.IOException;
import java.io.OutputStream;

import fit.Counts;

/**
 * Represents a collection of fit results.
 *
 * @author jwierum
 * @version $Id: FitResult.java 46 2011-09-04 14:59:16Z jochen_wierum $
 */
public interface FitResult {
	/**
	 * Saves the result <code>result</code> for the file <code>file</code>.
	 * @param file filename
	 * @param result fit result counts
	 */
	void put(String file, Counts result);

	/**
	 * Print the result to <code>stream</code>, using <code>directory</code>
	 * as the title of the report.
	 * @param directory processed directory
	 * @param stream stream to write results to
	 * @throws IOException exceptions generated by stream
	 */
	void print(String directory, OutputStream stream) throws IOException;
}
